#!/bin/bash

echo THIS IS THE DAILY RUN FILE FOR CMTREND

if [ $# -eq 0 ]; then
  echo "RUNCMTREND /MODE:DAILY REQUIRES A DATE {MM-DD-YYYY}."
else
  export DOTNET_ROOT=/opt/dotnet
  echo "Arguments provided: $@"
  RUNDATE="$1"
  PATHMODEL="/home/pi/ARM64/MarketData/MarketData/Models/CMT20200817.TXT"
  /home/pi/ARM64/MarketData/MarketData/bin/Debug/net8.0/mk RUNCMTREND /MODE:DAILY /TRADEDATE:"$1" /INITIALCASH:10000 /SESSIONFILE:$PATHMODEL /MAXDAILYPOSITIONS:3 /MAXOPENPOSITIONS:6
fi
